Uploaded image for project: 'Samza'
  1. Samza
  2. SAMZA-8

Publish Maven SNAPSHOT artifacts to Apache repository

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 0.6.0
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

      We need Samza to be available via Maven coordinates.

      An ideal scenario looks like this:

      1. Setup a Hudson CI that auto tests, builds, and publishes Samza SNAPSHOT versions on every commit to the Git master branch.
      2. Make Gradle cross-build Samza with Scala versions 2.8., and 2.9. Excluding 2.10.* because Kafka doesn't have builds available for this version yet.

      Based on SAMZA-5, it sounds like YARN 2.1.0-beta+ is stable on the API front, so I propose removing classifier build support for YARN 2.0.X, and just upgrading to YARN 2.1.0, and always using the latest YARN 2.X for the samza-yarn dependency.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                criccomini Chris Riccomini
              • Votes:
                1 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated: